import request from '@/utils/request'

// 查询公司名称列表
export function listCompany(query) {
  return request({
    url: '/basicdata/company/list',
    method: 'get',
    params: query
  })
}

// 查询公司名称详细
export function getCompany(fId) {
  return request({
    url: '/basicdata/company/' + fId,
    method: 'get'
  })
}

// 新增公司名称
export function addCompany(data) {
  return request({
    url: '/basicdata/company',
    method: 'post',
    data: data
  })
}

// 修改公司名称
export function updateCompany(data) {
  return request({
    url: '/basicdata/company',
    method: 'put',
    data: data
  })
}

// 删除公司名称
export function delCompany(fId) {
  return request({
    url: '/basicdata/company/' + fId,
    method: 'delete'
  })
}

// 导出公司名称
export function exportCompany(query) {
  return request({
    url: '/basicdata/company/export',
    method: 'get',
    params: query
  })
}